{ lib, config, pkgs, ...  }:

with lib;
let
  cfg = config.modules.desktop.gnome-keyring;
in {
  options.modules.desktop.gnome-keyring = {
    enable = mkEnableOption "Enable gnome-keyring, a password store";
  };

  config = mkIf cfg.enable {
    hm.services.gnome-keyring.enable = true;
    hm.services.gnome-keyring.components = [ "secrets" ];
  };
}
